/**
 * Copyright (C) 2005 Gregoire Lejeune <gregoire.lejeune@free.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
 */

#include "xslt.h"

/* this stores function names and the ids of the objects they belong to, indexed by name and namespace */
static xmlHashTablePtr pExtFunctionsHashTable = NULL;

void deallocateCallback( void *, xmlChar * ATTRIBUTE_UNUSED );
VALUE xpathObj2value( xmlXPathObjectPtr, xmlDocPtr );
xmlXPathObjectPtr value2xpathObj( VALUE );
void xmlXPathFuncCallback( xmlXPathParserContextPtr, int );
VALUE ruby_xslt_ext_function( VALUE, VALUE, VALUE, VALUE, VALUE );

