<?xml version="1.0"?>

<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:src="http://xml.apache.org/xindice/Query"
	xmlns:ex="http://test.none"
	xsl:version="1.0">
<xsl:output
	method="text"
	encoding="UTF-8"
	/>

<xsl:template match="/">
1 is a <xsl:value-of select="ex:type(1)"/> and becomes <xsl:value-of select="ex:roundTrip(1)" />
'string' is a <xsl:value-of select="ex:type('string')"/> and becomes <xsl:value-of select="ex:roundTrip('string')"/>
true() is a <xsl:value-of select="ex:type(1=1)"/> and becomes <xsl:value-of select="ex:roundTrip(true())"/>
nodes are type <xsl:value-of select="ex:type(nodes)"/> and are passed through: <xsl:apply-templates select="ex:roundTrip(nodes)"/>
</xsl:template>

<xsl:template match="node">
	<xsl:value-of select="."/>(<xsl:value-of select="@number"/>)&#10;
</xsl:template>

</xsl:stylesheet>
